Subject: Re: [PATCH v3 net-next 0/4] net: low latency Ethernet device polling

From: Alex Rosenbaum <[email-masked]>
Date: Thu, 23 May 2013 14:45:43 +0300

On 5/23/2013 2:06 PM, Eliezer Tamir wrote:
> On 21/05/2013 16:15, Alex Rosenbaum wrote:
>> On 5/21/2013 3:29 PM, Eliezer Tamir wrote:
>>> What benchmarks are you using to test poll/select/epoll?
>> for epoll/select latency tests we are using sockperf as performance
>> latency tool: https://code.google.com/p/sockperf/
>> It is a client-server based tool and it supported ping-pong, throughput,
>> and under-load test type.
>> For epoll, you will need to define a 'feedfile' ("-f filepathname")
>> which has a list of TCP and/or UDP socket and defined your IO mux type
>> ("-F epoll").
>
> Thank you!
> This is very helpful.
>
> With sockperf i can directly observe how poll/select/epoll are behaving.
> I can see some improvement in all of them but clearly more work is 
> needed here.
>
> -Eliezer

I'm happy you got it working.

If you add '--timeout=0' to the sockperf epoll command line you can see 
non-blocking epoll application behavior and then you will get some 
improved latency over due to the application thread not sleeping.

This is not like a full blown LLS epoll solution but half way there.

Alex

------------------------------------------------------------------------------
Try New Relic Now & We'll Send You this Cool Shirt
New Relic is the only SaaS-based application performance monitoring service 
that delivers powerful full stack analytics. Optimize and monitor your
browser, app, & servers with just a few lines of code. Try New Relic
and get this awesome Nerd Life shirt! http://p.sf.net/sfu/newrelic_d2d_may

_______________________________________________
E1000-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/e1000-devel
To learn more about Intel&#174; Ethernet, visit http://communities.intel.com/community/wired